Subject: Help: I'm troubled with WareZ

From: [email-masked] (Yuan John Jiang)
Date: Sat, 29 Nov 1997 16:27:12 -0500

My site (a SparcII) has been bogged down by WareZ.  The machine
even did not have enough memory to support a shell when I tried
to login.  I repeatedly deleted their files and directories, and
they come back.

My problem is that the uid, gid, mode and "nodirs" settings in
the "upload" line seem to have no effect, and
1. WareZ guys can always create subdirectories under /incoming
if /incoming has write permission for user "ftp";
2. Files uploaded and directories created under /incoming
always has 0664 mode.

My only defense is the OS mode setting of 0333 on the
"/incoming" directory.  Then, I can't serve legitimate upload.

How do I prevent creating subdirectories?  The "mkdir" line does
not work.

Thanks.

John
=====================
My ftpaccess:

limit   local   1  Any                 /data/wu-ftpd/msgs/msg.toomany
limit   remote  30 SaSu|Any1800-0600   /data/wu-ftpd/msgs/msg.toomany
limit   remote  20  Any                 /data/wu-ftpd/msgs/msg.toomany

# all the following default to "yes" for everybody
delete          no      anonymous         # delete permission?
overwrite       no      anonymous         # overwrite permission?
rename		no	anonymous		# rename permission?
chmod           no      anonymous               # chmod permission?
umask           no      anonymous               # umask permission?
mkdir           no      anonymous               # umask permission?

# specify the upload directory information
upload 	/data/Pub  *             no
upload  /data/Pub  /incoming     yes     yjj    ftp-adm  0060 nodirs
upload	 /data/Pub  /incoming/studies     yes     yjj    ftp-adm  0060 nodirs
upload	 /data/Pub  /incoming/org     yes     jzh    ftp-adm  0060 nodirs
upload	 /data/Pub  /incoming/software     yes     cyl    ftp-admin  0060 nodirs
upload	 /data/Pub  /bin          no
upload	 /data/Pub  /etc          no
upload	 /data/Pub  /usr          no